3 Replies Latest reply on Sep 26, 2016 10:32 PM by Erroll Sipagan

    Wildfly 10: Cannot upload deployment, Required services that are not installed

    Erroll Sipagan Newbie

      Every time I deploy a war file in wildfly 10, I got this following error :

       

      Cannot upload deployment: {"WFLYCTL0080: Failed services" =>{"jboss.deployment.unit.\"member.war\".FIRST_MODULE_USE" => "org.jboss.msc.service.StartException in service jboss.deployment.unit.\"member.war\".FIRST_MODULE_USE: WFLYSRV0153: Failed to process phase FIRST_MODULE_USE of deployment \"member.war\" Caused by: org.jboss.as.server.deployment.DeploymentUnitProcessingException: WFLYJCA0064: Exception deploying datasource java:/PostgresDS Caused by: org.jboss.msc.service.DuplicateServiceException: Service jboss.data-source.\"jboss.naming.context.java.PostgresDS\" is already registered"},"WFLYCTL0412: Required services that are not installed:" => ["jboss.deployment.unit.\"member.war\".FIRST_MODULE_USE"],"WFLYCTL0180: Services with missing/unavailable dependencies" => undefined}

       

      It happens when I changed my persistence.xml and *-ds.xml which is telling my application to use the 'PostgresDS' as its datasource. I have created a database source on Admin named 'PostgresDS'.